//////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////                   INTERACTIVE DRAWING                   ///////////////////////////
//////////////////////////                     Monster Attacks                     ///////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////
////////////////////////////////////             Shirley Tong             ////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////////////////////////////////


void setup() {

  size(400, 400);
  noSmooth();
  noStroke();
  //this prints a message so that the viewer knows to mouse click so something awesome happens
  println("Oh god, don't mouse click!");
}


//This is where the magic happens
void draw() {
  background(45, 50, 75);

  ///////////////////////////////////
  ///////////////////////////////////
  /////////BACKGROUND ITEMS//////////
  ///////////////////////////////////
  ///////////////////////////////////

  //added two opacity ellipse so that the stars will seem like its shining
  //I'm assuming it turns out nice
  //if not then.... ehhhhhhhhhhhhhhhhhhhhh
  //STAR GLOW
  fill(255, 250, 85, brightness(7));
  ellipse(10+mouseX/30, 0, 35+mouseX/30, 25);  
  ellipse(15+mouseX/30, 5, 30+mouseX/30, 20);

  ellipse(30+mouseX/30, 110+mouseY/30, 55+mouseX/30, 135+mouseY/30);
  ellipse(35+mouseX/30, 115+mouseY/30, 50+mouseX/30, 130+mouseY/30);

  ellipse(80+mouseX/30, 50+mouseY/30, 105+mouseX/30, 75+mouseY/30);
  ellipse(85+mouseX/30, 55+mouseY/30, 100+mouseX/30, 70+mouseY/30);
  
  fill(255, 250, 85, brightness(30));
  ellipse(100+mouseX/30, 180+mouseY/30, 125+mouseX/30, 205+mouseY/30);
  ellipse(105+mouseX/30, 185+mouseY/30, 120+mouseX/30, 200+mouseY/30);

  fill(255, 250, 85, brightness(7));
  ellipse(180+mouseX/30, 30+mouseY/30, 205+mouseX/30, 55+mouseY/30);
  ellipse(185+mouseX/30, 35+mouseY/30, 200+mouseX/30, 50+mouseY/30);
  
  fill(255, 250, 85, brightness(20));
  ellipse(240+mouseX/30, 160+mouseY/30, 265+mouseX/30, 185+mouseY/30);
  ellipse(245+mouseX/30, 165+mouseY/30, 260+mouseX/30, 180+mouseY/30);

  fill(255, 250, 85, brightness(7));
  ellipse(260+mouseX/30, 80+mouseY/30, 285+mouseX/30, 105+mouseY/30);
  ellipse(265+mouseX/30, 85+mouseY/30, 280+mouseX/30, 100+mouseY/30);

  ellipse(290+mouseX/30, -20+mouseY/30, 315+mouseX/30, 5+mouseY/30);
  ellipse(295+mouseX/30, -15+mouseY/30, 310+mouseX/30, 0+mouseY/30);

  ellipse(330+mouseX/30, 60+mouseY/30, 355+mouseX/30, 85+mouseY/30);
  ellipse(335+mouseX/30, 65+mouseY/30, 350+mouseX/30, 80+mouseY/30);


  //STARS
  //or like.... techincally ellipse where we pretend its stars since making two triangles on top of each other doesn't look as nice when far away
  fill(255, 250, 85, brightness(100));
  ellipseMode(CORNERS);

  ellipse(20+mouseX/30, 10, 25+mouseX/30, 15);  
  ellipse(40+mouseX/30, 120+mouseY/30, 45+mouseX/30, 125+mouseY/30);  
  ellipse(90+mouseX/30, 60+mouseY/30, 95+mouseX/30, 65+mouseY/30);
  
  fill(255, 250, 85, brightness(200));
  ellipse(110+mouseX/30, 190+mouseY/30, 115+mouseX/30, 195+mouseY/30);
  
  fill(255, 250, 85, brightness(100));
  ellipse(190+mouseX/30, 40+mouseY/30, 195+mouseX/30, 45+mouseY/30);
  
  fill(255, 250, 85, brightness(150));
  ellipse(250+mouseX/30, 170+mouseY/30, 255+mouseX/30, 175+mouseY/30);
  
  fill(255, 250, 85, brightness(100));
  ellipse(270+mouseX/30, 90+mouseY/30, 275+mouseX/30, 95+mouseY/30);  
  ellipse(300+mouseX/30, -10+mouseY/30, 305+mouseX/30, -5+mouseY/30);  
  ellipse(340+mouseX/30, 70+mouseY/30, 345+mouseX/30, 75+mouseY/30);


  //BACK BUILDINGS
  fill(70);
  rect(-50+mouseX/20, 40+mouseY/20, 20+mouseX/20, 400);  
  rect(20+mouseX/20, 210+mouseY/20, 80+mouseX/20, 400);  
  rect(80+mouseX/20, 120+mouseY/20, 130+mouseX/20, 400);  
  rect(130+mouseX/20, 170+mouseY/20, 200+mouseX/20, 400);  
  rect(200+mouseX/20, 260+mouseY/20, 260+mouseX/20, 400);  
  rect(270+mouseX/20, 140+mouseY/20, 320+mouseX/20, 400);
  rect(320+mouseX/20, 230+mouseY/20, 360+mouseX/20, 400);  
  rect(360+mouseX/20, 100+mouseY/20, 450+mouseX/20, 400);


  ///////////////////////////////////
  ///////////////////////////////////
  //IT BE MY DINOSAUR MONSTER THING//
  ///////////////////////////////////
  ///////////////////////////////////


  /////////////BODY//////////////

  //MAIN BODY
  fill(25, 200, 25);  
  triangle(200+mouseX/-37, 100+mouseY/-57, 250+mouseX/-37, 210+mouseY/-57, 150+mouseX/-37, 210+mouseY/-57);

  quad(150+mouseX/-37, 210+mouseY/-57, 250+mouseX/-37, 210+mouseY/-57, 260+mouseX/-37, 250+mouseY/-57, 140+mouseX/-37, 250+mouseY/-57);


  //BOTTOM OF THE BODY
  quad(140+mouseX/-37, 250+mouseY/-57, 260+mouseX/-37, 250+mouseY/-57, 260+mouseX/-37, 290+mouseY/-57, 140+mouseX/-37, 290+mouseY/-57);


  //STOMACH
  fill(225, 245, 190);
  ellipse(135+mouseX/70, 170+mouseY/-35, 220+mouseX/19, 330+mouseY/-20);


  //MAIN PART OF THE HEAD
  fill(25, 200, 25);
  quad(140+mouseX/20, 80+mouseY/40, 200+mouseX/20, 80+mouseY/40, 200+mouseX/20, 130+mouseY/40, 140+mouseX/20, 130+mouseY/40);


  //RIGHT EYE
  fill(0);
  ellipseMode(CORNERS);
  ellipse(142+mouseX/15, 85+mouseY/37, 150+mouseX/15, 93+mouseY/37);

  //LEFT EYE
  ellipse(165+mouseX/11, 85+mouseY/37, 173+mouseX/11, 93+mouseY/37);


  /////////////MOUTH////////////////

  //THE BOTTOM JAW
  fill(25, 200, 25);
  quad(130+mouseX/10, 120+mouseY/35, 180+mouseX/10, 120+mouseY/35, 180+mouseX/10, 130+mouseY/35, 130+mouseX/10, 130+mouseY/35);


  //RIGHT TOOTH
  fill(255);
  triangle(130+mouseX/11, 120+mouseY/32, 140+mouseX/11, 120+mouseY/32, 135+mouseX/11, 127+mouseY/32);

  //LEFT TOOTH
  triangle(145+mouseX/7, 120+mouseY/32, 155+mouseX/7, 120+mouseY/32, 150+mouseX/7, 127+mouseY/32);


  //MOUTH
  fill(25, 200, 25);
  quad(120+mouseX/10, 85+mouseY/20, 180+mouseX/10, 85+mouseY/20, 180+mouseX/10, 120+mouseY/20, 120+mouseX/10, 120+mouseY/20);


  ///////////////////////////////////
  ///////////////////////////////////
  /////////////FOREGROUND////////////
  ///////////////////////////////////
  ///////////////////////////////////

  //FRONT BUILDINGS
  fill(120);
  rectMode(CORNERS);
  rect(0+mouseX/-10, 180+mouseY/-10, 40+mouseX/-10, 400);
  rect(40+mouseX/-10, 360+mouseY/-10, 120+mouseX/-10, 400);
  rect(120+mouseX/-10, 280+mouseY/-10, 220+mouseX/-10, 400);
  rect(220+mouseX/-10, 240+mouseY/-10, 305+mouseX/-10, 400);
  rect(305+mouseX/-10, 320+mouseY/-10, 390+mouseX/-10, 400);
  rect(390+mouseX/-10, 120+mouseY/-10, 450+mouseX/-10, 400);

  //RANDOM DETAILS FOR THE BUILDINGS
  rect(130+mouseX/-10, 270+mouseY/-10, 210+mouseX/-10, 280+mouseY/-10);
  rect(400+mouseX/-10, 100+mouseY/-10, 425+mouseX/-10, 120+mouseY/-10);

  //WINDOWS FOR THE BUILDINGS
  fill(255, 255, 200);
  //BUILDING ONE
  rect(-5+mouseX/-10, 190+mouseY/-10, 5+mouseX/-10, 205+mouseY/-10);
  rect(10+mouseX/-10, 190+mouseY/-10, 20+mouseX/-10, 205+mouseY/-10);
  rect(25+mouseX/-10, 190+mouseY/-10, 35+mouseX/-10, 205+mouseY/-10);
  rect(-5+mouseX/-10, 220+mouseY/-10, 5+mouseX/-10, 235+mouseY/-10);
  rect(10+mouseX/-10, 220+mouseY/-10, 20+mouseX/-10, 235+mouseY/-10);
  rect(25+mouseX/-10, 220+mouseY/-10, 35+mouseX/-10, 235+mouseY/-10);
  rect(-5+mouseX/-10, 250+mouseY/-10, 5+mouseX/-10, 265+mouseY/-10);
  rect(10+mouseX/-10, 250+mouseY/-10, 20+mouseX/-10, 265+mouseY/-10);
  rect(25+mouseX/-10, 250+mouseY/-10, 35+mouseX/-10, 265+mouseY/-10);

  //BUILDING FOUR
  rect(230+mouseX/-10, 250+mouseY/-10, 235+mouseX/-10, 260+mouseY/-10);
  rect(240+mouseX/-10, 250+mouseY/-10, 245+mouseX/-10, 260+mouseY/-10);
  rect(250+mouseX/-10, 250+mouseY/-10, 255+mouseX/-10, 260+mouseY/-10);
  rect(260+mouseX/-10, 250+mouseY/-10, 265+mouseX/-10, 260+mouseY/-10);
  rect(270+mouseX/-10, 250+mouseY/-10, 275+mouseX/-10, 260+mouseY/-10);
  rect(280+mouseX/-10, 250+mouseY/-10, 285+mouseX/-10, 260+mouseY/-10);
  rect(290+mouseX/-10, 250+mouseY/-10, 295+mouseX/-10, 260+mouseY/-10);
  rect(230+mouseX/-10, 265+mouseY/-10, 235+mouseX/-10, 275+mouseY/-10);
  rect(240+mouseX/-10, 265+mouseY/-10, 245+mouseX/-10, 275+mouseY/-10);
  rect(250+mouseX/-10, 265+mouseY/-10, 255+mouseX/-10, 275+mouseY/-10);
  rect(260+mouseX/-10, 265+mouseY/-10, 265+mouseX/-10, 275+mouseY/-10);
  rect(270+mouseX/-10, 265+mouseY/-10, 275+mouseX/-10, 275+mouseY/-10);
  rect(280+mouseX/-10, 265+mouseY/-10, 285+mouseX/-10, 275+mouseY/-10);
  rect(290+mouseX/-10, 265+mouseY/-10, 295+mouseX/-10, 275+mouseY/-10);
  rect(230+mouseX/-10, 280+mouseY/-10, 235+mouseX/-10, 290+mouseY/-10);
  rect(240+mouseX/-10, 280+mouseY/-10, 245+mouseX/-10, 290+mouseY/-10);
  rect(250+mouseX/-10, 280+mouseY/-10, 255+mouseX/-10, 290+mouseY/-10);
  rect(260+mouseX/-10, 280+mouseY/-10, 265+mouseX/-10, 290+mouseY/-10);
  rect(270+mouseX/-10, 280+mouseY/-10, 275+mouseX/-10, 290+mouseY/-10);
  rect(280+mouseX/-10, 280+mouseY/-10, 285+mouseX/-10, 290+mouseY/-10);
  rect(290+mouseX/-10, 280+mouseY/-10, 295+mouseX/-10, 290+mouseY/-10);
  rect(230+mouseX/-10, 305+mouseY/-10, 235+mouseX/-10, 315+mouseY/-10);
  rect(240+mouseX/-10, 305+mouseY/-10, 245+mouseX/-10, 315+mouseY/-10);
  rect(250+mouseX/-10, 305+mouseY/-10, 255+mouseX/-10, 315+mouseY/-10);
  rect(260+mouseX/-10, 305+mouseY/-10, 265+mouseX/-10, 315+mouseY/-10);
  rect(270+mouseX/-10, 305+mouseY/-10, 275+mouseX/-10, 315+mouseY/-10);
  rect(280+mouseX/-10, 305+mouseY/-10, 285+mouseX/-10, 315+mouseY/-10);
  rect(290+mouseX/-10, 305+mouseY/-10, 295+mouseX/-10, 315+mouseY/-10);
  rect(230+mouseX/-10, 320+mouseY/-10, 235+mouseX/-10, 330+mouseY/-10);
  rect(240+mouseX/-10, 320+mouseY/-10, 245+mouseX/-10, 330+mouseY/-10);
  rect(250+mouseX/-10, 320+mouseY/-10, 255+mouseX/-10, 330+mouseY/-10);
  rect(260+mouseX/-10, 320+mouseY/-10, 265+mouseX/-10, 330+mouseY/-10);
  rect(270+mouseX/-10, 320+mouseY/-10, 275+mouseX/-10, 330+mouseY/-10);
  rect(280+mouseX/-10, 320+mouseY/-10, 285+mouseX/-10, 330+mouseY/-10);
  rect(290+mouseX/-10, 320+mouseY/-10, 295+mouseX/-10, 330+mouseY/-10);
}


///////////////////////////////////////////////////////
///////////////////////////////////////////////////////
//////////////////THE INTERACTIVE PART/////////////////
///////////////////////////////////////////////////////
///////////////////////////////////////////////////////

//when the mouse is pressed, the eyes will turn red and cause lasers to shoot from the dinosaur's eyes  
void mousePressed() {

  //SLOW DOWN FRAME RATE SO LASERS LAST LONGER
  frameRate(20);

  println("OH GOD THE LASERS!");
  //OH GOD THE LASERS WHY DID YOU MOUSE CLICK WHY
  
  //RIGHT EYE LASER
  stroke(255);
  fill(255, 0, 0);
  quad(mouseX+1, mouseY, mouseX-1, mouseY, 146+mouseX/15, 86+mouseY/37, 148+mouseX/15, 88+mouseY/37);

  //LEFT EYE LASER
  fill(255, 0, 0);
  quad(mouseX+1, mouseY, mouseX-1, mouseY, 169+mouseX/11, 86+mouseY/37, 171+mouseX/11, 88+mouseY/37);

  //RIGHT EYE CHANGES TO COLOUR RED
  noStroke();
  fill(255, 0, 0);
  ellipseMode(CORNERS);
  ellipse(142+mouseX/15, 85+mouseY/37, 150+mouseX/15, 93+mouseY/37);

  //LEFT EYE CHANGES TO COLOUR RED
  ellipse(165+mouseX/11, 85+mouseY/37, 173+mouseX/11, 93+mouseY/37);


  //When mouse pressed, the buildings in front will loop again, so that lasers will shoot behind the buildings, instead of over them
  //does that even make sense? Eh.... sure whatever LASERS ONWARDS
  //FRONT BUILDINGS
  fill(120);
  rect(0+mouseX/-10, 180+mouseY/-10, 40+mouseX/-10, 400);
  rect(40+mouseX/-10, 360+mouseY/-10, 120+mouseX/-10, 400);
  rect(120+mouseX/-10, 280+mouseY/-10, 220+mouseX/-10, 400);
  rect(220+mouseX/-10, 240+mouseY/-10, 300+mouseX/-10, 400);
  rect(300+mouseX/-10, 320+mouseY/-10, 390+mouseX/-10, 400);
  rect(390+mouseX/-10, 120+mouseY/-10, 450+mouseX/-10, 400);

  //RANDOM DETAILS FOR THE BUILDINGS
  rect(130+mouseX/-10, 270+mouseY/-10, 210+mouseX/-10, 280+mouseY/-10);
  rect(400+mouseX/-10, 100+mouseY/-10, 425+mouseX/-10, 120+mouseY/-10);


  //This is to rebuild the windows
  //WINDOWS FOR THE BUILDINGS
  fill(255, 255, 200);
  //BUILDING ONE
  rect(-5+mouseX/-10, 190+mouseY/-10, 5+mouseX/-10, 205+mouseY/-10);
  rect(10+mouseX/-10, 190+mouseY/-10, 20+mouseX/-10, 205+mouseY/-10);
  rect(25+mouseX/-10, 190+mouseY/-10, 35+mouseX/-10, 205+mouseY/-10);
  rect(-5+mouseX/-10, 220+mouseY/-10, 5+mouseX/-10, 235+mouseY/-10);
  rect(10+mouseX/-10, 220+mouseY/-10, 20+mouseX/-10, 235+mouseY/-10);
  rect(25+mouseX/-10, 220+mouseY/-10, 35+mouseX/-10, 235+mouseY/-10);
  rect(-5+mouseX/-10, 250+mouseY/-10, 5+mouseX/-10, 265+mouseY/-10);
  rect(10+mouseX/-10, 250+mouseY/-10, 20+mouseX/-10, 265+mouseY/-10);
  rect(25+mouseX/-10, 250+mouseY/-10, 35+mouseX/-10, 265+mouseY/-10);

  //BUILDING FOUR
  rect(230+mouseX/-10, 250+mouseY/-10, 235+mouseX/-10, 260+mouseY/-10);
  rect(240+mouseX/-10, 250+mouseY/-10, 245+mouseX/-10, 260+mouseY/-10);
  rect(250+mouseX/-10, 250+mouseY/-10, 255+mouseX/-10, 260+mouseY/-10);
  rect(260+mouseX/-10, 250+mouseY/-10, 265+mouseX/-10, 260+mouseY/-10);
  rect(270+mouseX/-10, 250+mouseY/-10, 275+mouseX/-10, 260+mouseY/-10);
  rect(280+mouseX/-10, 250+mouseY/-10, 285+mouseX/-10, 260+mouseY/-10);
  rect(290+mouseX/-10, 250+mouseY/-10, 295+mouseX/-10, 260+mouseY/-10);
  rect(230+mouseX/-10, 265+mouseY/-10, 235+mouseX/-10, 275+mouseY/-10);
  rect(240+mouseX/-10, 265+mouseY/-10, 245+mouseX/-10, 275+mouseY/-10);
  rect(250+mouseX/-10, 265+mouseY/-10, 255+mouseX/-10, 275+mouseY/-10);
  rect(260+mouseX/-10, 265+mouseY/-10, 265+mouseX/-10, 275+mouseY/-10);
  rect(270+mouseX/-10, 265+mouseY/-10, 275+mouseX/-10, 275+mouseY/-10);
  rect(280+mouseX/-10, 265+mouseY/-10, 285+mouseX/-10, 275+mouseY/-10);
  rect(290+mouseX/-10, 265+mouseY/-10, 295+mouseX/-10, 275+mouseY/-10);
  rect(230+mouseX/-10, 280+mouseY/-10, 235+mouseX/-10, 290+mouseY/-10);
  rect(240+mouseX/-10, 280+mouseY/-10, 245+mouseX/-10, 290+mouseY/-10);
  rect(250+mouseX/-10, 280+mouseY/-10, 255+mouseX/-10, 290+mouseY/-10);
  rect(260+mouseX/-10, 280+mouseY/-10, 265+mouseX/-10, 290+mouseY/-10);
  rect(270+mouseX/-10, 280+mouseY/-10, 275+mouseX/-10, 290+mouseY/-10);
  rect(280+mouseX/-10, 280+mouseY/-10, 285+mouseX/-10, 290+mouseY/-10);
  rect(290+mouseX/-10, 280+mouseY/-10, 295+mouseX/-10, 290+mouseY/-10);
  rect(230+mouseX/-10, 305+mouseY/-10, 235+mouseX/-10, 315+mouseY/-10);
  rect(240+mouseX/-10, 305+mouseY/-10, 245+mouseX/-10, 315+mouseY/-10);
  rect(250+mouseX/-10, 305+mouseY/-10, 255+mouseX/-10, 315+mouseY/-10);
  rect(260+mouseX/-10, 305+mouseY/-10, 265+mouseX/-10, 315+mouseY/-10);
  rect(270+mouseX/-10, 305+mouseY/-10, 275+mouseX/-10, 315+mouseY/-10);
  rect(280+mouseX/-10, 305+mouseY/-10, 285+mouseX/-10, 315+mouseY/-10);
  rect(290+mouseX/-10, 305+mouseY/-10, 295+mouseX/-10, 315+mouseY/-10);
  rect(230+mouseX/-10, 320+mouseY/-10, 235+mouseX/-10, 330+mouseY/-10);
  rect(240+mouseX/-10, 320+mouseY/-10, 245+mouseX/-10, 330+mouseY/-10);
  rect(250+mouseX/-10, 320+mouseY/-10, 255+mouseX/-10, 330+mouseY/-10);
  rect(260+mouseX/-10, 320+mouseY/-10, 265+mouseX/-10, 330+mouseY/-10);
  rect(270+mouseX/-10, 320+mouseY/-10, 275+mouseX/-10, 330+mouseY/-10);
  rect(280+mouseX/-10, 320+mouseY/-10, 285+mouseX/-10, 330+mouseY/-10);
  rect(290+mouseX/-10, 320+mouseY/-10, 295+mouseX/-10, 330+mouseY/-10);
}

void keyPressed () {

  //When the key is pressed, the windows will turn red in pANIC OH GOD HELP US ALL
  //WINDOWS FOR THE BUILDINGS
  fill(255, 0, 0);
  //BUILDING ONE
  rect(-5+mouseX/-10, 190+mouseY/-10, 5+mouseX/-10, 205+mouseY/-10);
  rect(10+mouseX/-10, 190+mouseY/-10, 20+mouseX/-10, 205+mouseY/-10);
  rect(25+mouseX/-10, 190+mouseY/-10, 35+mouseX/-10, 205+mouseY/-10);
  rect(-5+mouseX/-10, 220+mouseY/-10, 5+mouseX/-10, 235+mouseY/-10);
  rect(10+mouseX/-10, 220+mouseY/-10, 20+mouseX/-10, 235+mouseY/-10);
  rect(25+mouseX/-10, 220+mouseY/-10, 35+mouseX/-10, 235+mouseY/-10);
  rect(-5+mouseX/-10, 250+mouseY/-10, 5+mouseX/-10, 265+mouseY/-10);
  rect(10+mouseX/-10, 250+mouseY/-10, 20+mouseX/-10, 265+mouseY/-10);
  rect(25+mouseX/-10, 250+mouseY/-10, 35+mouseX/-10, 265+mouseY/-10);

  //BUILDING FOUR
  rect(230+mouseX/-10, 250+mouseY/-10, 235+mouseX/-10, 260+mouseY/-10);
  rect(240+mouseX/-10, 250+mouseY/-10, 245+mouseX/-10, 260+mouseY/-10);
  rect(250+mouseX/-10, 250+mouseY/-10, 255+mouseX/-10, 260+mouseY/-10);
  rect(260+mouseX/-10, 250+mouseY/-10, 265+mouseX/-10, 260+mouseY/-10);
  rect(270+mouseX/-10, 250+mouseY/-10, 275+mouseX/-10, 260+mouseY/-10);
  rect(280+mouseX/-10, 250+mouseY/-10, 285+mouseX/-10, 260+mouseY/-10);
  rect(290+mouseX/-10, 250+mouseY/-10, 295+mouseX/-10, 260+mouseY/-10);
  rect(230+mouseX/-10, 265+mouseY/-10, 235+mouseX/-10, 275+mouseY/-10);
  rect(240+mouseX/-10, 265+mouseY/-10, 245+mouseX/-10, 275+mouseY/-10);
  rect(250+mouseX/-10, 265+mouseY/-10, 255+mouseX/-10, 275+mouseY/-10);
  rect(260+mouseX/-10, 265+mouseY/-10, 265+mouseX/-10, 275+mouseY/-10);
  rect(270+mouseX/-10, 265+mouseY/-10, 275+mouseX/-10, 275+mouseY/-10);
  rect(280+mouseX/-10, 265+mouseY/-10, 285+mouseX/-10, 275+mouseY/-10);
  rect(290+mouseX/-10, 265+mouseY/-10, 295+mouseX/-10, 275+mouseY/-10);
  rect(230+mouseX/-10, 280+mouseY/-10, 235+mouseX/-10, 290+mouseY/-10);
  rect(240+mouseX/-10, 280+mouseY/-10, 245+mouseX/-10, 290+mouseY/-10);
  rect(250+mouseX/-10, 280+mouseY/-10, 255+mouseX/-10, 290+mouseY/-10);
  rect(260+mouseX/-10, 280+mouseY/-10, 265+mouseX/-10, 290+mouseY/-10);
  rect(270+mouseX/-10, 280+mouseY/-10, 275+mouseX/-10, 290+mouseY/-10);
  rect(280+mouseX/-10, 280+mouseY/-10, 285+mouseX/-10, 290+mouseY/-10);
  rect(290+mouseX/-10, 280+mouseY/-10, 295+mouseX/-10, 290+mouseY/-10);
  rect(230+mouseX/-10, 305+mouseY/-10, 235+mouseX/-10, 315+mouseY/-10);
  rect(240+mouseX/-10, 305+mouseY/-10, 245+mouseX/-10, 315+mouseY/-10);
  rect(250+mouseX/-10, 305+mouseY/-10, 255+mouseX/-10, 315+mouseY/-10);
  rect(260+mouseX/-10, 305+mouseY/-10, 265+mouseX/-10, 315+mouseY/-10);
  rect(270+mouseX/-10, 305+mouseY/-10, 275+mouseX/-10, 315+mouseY/-10);
  rect(280+mouseX/-10, 305+mouseY/-10, 285+mouseX/-10, 315+mouseY/-10);
  rect(290+mouseX/-10, 305+mouseY/-10, 295+mouseX/-10, 315+mouseY/-10);
  rect(230+mouseX/-10, 320+mouseY/-10, 235+mouseX/-10, 330+mouseY/-10);
  rect(240+mouseX/-10, 320+mouseY/-10, 245+mouseX/-10, 330+mouseY/-10);
  rect(250+mouseX/-10, 320+mouseY/-10, 255+mouseX/-10, 330+mouseY/-10);
  rect(260+mouseX/-10, 320+mouseY/-10, 265+mouseX/-10, 330+mouseY/-10);
  rect(270+mouseX/-10, 320+mouseY/-10, 275+mouseX/-10, 330+mouseY/-10);
  rect(280+mouseX/-10, 320+mouseY/-10, 285+mouseX/-10, 330+mouseY/-10);
  rect(290+mouseX/-10, 320+mouseY/-10, 295+mouseX/-10, 330+mouseY/-10);
}